Package com.io7m.jtensors.core.quaternions

# Class Quaternion4F.Builder

java.lang.Object
com.io7m.jtensors.core.quaternions.Quaternion4F.Builder

Enclosing class:
  Quaternion4F

    public static final class Quaternion4F.Builder
    extends java.lang.Object

Builds instances of type `Quaternion4F`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Quaternion4F` | `build()` | Builds a new `Quaternion4F`.
  `Quaternion4F.Builder` | `from​(Quaternion4FType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.quaternions.Quaternion4FType` instance.
  `Quaternion4F.Builder` | `from​(QuaternionReadable4FType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.quaternions.QuaternionReadable4FType` instance.
  `Quaternion4F.Builder` | `setW​(float w)` | Initializes the value for the `w` attribute.
  `Quaternion4F.Builder` | `setX​(float x)` | Initializes the value for the `x` attribute.
  `Quaternion4F.Builder` | `setY​(float y)` | Initializes the value for the `y` attribute.
  `Quaternion4F.Builder` | `setZ​(float z)` | Initializes the value for the `z` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final Quaternion4F.Builder from​(QuaternionReadable4FType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.quaternions.QuaternionReadable4FType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Quaternion4F.Builder from​(Quaternion4FType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.quaternions.Quaternion4FType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX

    public final Quaternion4F.Builder setX​(float x)
    Initializes the value for the `x` attribute.
    Parameters:
      `x` - The value for x
    Returns:
      `this` builder for use in a chained invocation

  - ### setY

    public final Quaternion4F.Builder setY​(float y)
    Initializes the value for the `y` attribute.
    Parameters:
      `y` - The value for y
    Returns:
      `this` builder for use in a chained invocation

  - ### setZ

    public final Quaternion4F.Builder setZ​(float z)
    Initializes the value for the `z` attribute.
    Parameters:
      `z` - The value for z
    Returns:
      `this` builder for use in a chained invocation

  - ### setW

    public final Quaternion4F.Builder setW​(float w)
    Initializes the value for the `w` attribute.
    Parameters:
      `w` - The value for w
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public Quaternion4F build()
    Builds a new `Quaternion4F`.
    Returns:
      An immutable instance of Quaternion4F
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing